console.log(antd)
new Vue({
    el: '#app',
    components: {
        AButton: antd.Button,
        ASelect: antd.Select,
        AIcon:antd.Icon,
        ATooltip:antd.Tooltip,
        "APopover":antd.Popover,
        AFormModel:antd.FormModel,
        AFormModelItem:antd.FormModel.Item,
    },
    data: {
        serveUrl: undefined,
        serveText:undefined,
        list: [],
        okDisabled: false,
        loading: false,
        loadMessage:"正在加载",
        helpMessage:"",
        axiosUrl:"http://127.0.0.1:6090",//http://127.0.0.1:6090  http://192.168.17.20:6090
        checkPassUrl:"",
    },
    created() {
        axios.defaults.baseURL = this.axiosUrl;
        //axios的响应拦截器；
        axios.interceptors.response.use(function (response) {
            // 对响应数据做点什么
            // console.log("获取到的资源",response)
            return response.data;
        }, function (error) {
            // 对响应错误做点什么
            return Promise.reject(error);
        });
        //进入页面获取列表并检查是否已经配置服务地址；
        this.getServeList();
    },
    methods: {
        //检查是否已经配置的服务地址
        async checkPlatformServe(){
            await this.getServeList()
            this.loading = true;
            this.loadMessage = "正在检查服务地址的状态"
            axios.get('http://127.0.0.1:4523/m1/4066830-0-default/checkPlatformServe').then(res => {
                //已经配置后台服务
                if (res.code === 200 && res.result) {
                    this.serveUrl = res.result;
                    let target = this.list.find(el=>el.value === res.result)
                    if(target){
                        this.serveText = target.label;
                    }
                    else{
                        this.serveText = res.result;
                    }
                    //检查配置的后台状态；
                    this.checkServeState();

                }else{
                    this.loading =false;
                }
            }).catch(error=>{
                this.loading =false;
            })
        },
        //获取服务地址列表
        async getServeList() {
            await this.getCheckPassUrl()
            console.log("123")
             axios.get('/service/getUrlsInfo').then(res => {
                console.log("获取到的信息 === ",res)
                if (res && res.length > 0) {
                    //测试使用的的测试数据  正式环境更换成result
                    this.list = res.map(el=>{
                        el.label = el.name || el.url;
                        el.value = el.url;
                        return el;
                    });
                    //检查是否有
                    let target = this.list.find(el=>el.isSel)
                    if(target){
                        this.serveText = target.label;
                        this.serveUrl = target.value; //检查配置的后台状态；
                        this.checkServeState();

                    }
                    // else{
                    //     this.serveText = res.result;
                    // }

                    //     [
                    //     {
                    //         value:"http://127.0.0.1:4523/m1/4066830-0-default/",
                    //         label:"包头",
                    //         text:"包头",
                    //     },
                    //     {
                    //         value:"http://127.0.0.1:4523/m1/4066830-0-default",
                    //         label:"呼和浩特"
                    //     },
                    //     {
                    //         value:"http://127.0.0.1:4523/m1/4066830-0-default/",
                    //         label:"锡林郭勒盟"
                    //     },
                    // ]
                }

            }).catch(err=>{
                this.loading = false;
            })
        },
        //获取远程服务测试接口
        async getCheckPassUrl(){
            await axios.get('/service/getCheckPassUrl').then(res=>{
                if(res){
                    this.checkPassUrl = res.Path || "";
                }
                console.log("获取到的检查接口 === ",this.checkPassUrl)
            })
        },
        //进入运维助手平台
        openPlatform() {
            axios.get('/service/getHelpUrl').then(res => {
                if (res && res.HelpUrl) {
                    window.open(res.HelpUrl, "_self")
                }
                this.loading = false;
            }).catch(err=>{
                this.loading= false
            })
        },
        //进入平台点击事件
        okClick() {
            let isUrl = /^http[s]?:\/\/.*/.test(this.serveUrl)
            if(!isUrl){
                this.helpMessage = "请输入正确的服务地址"
                return;
            }
            this.loading = true;
            this.checkServeState(1)
        },
        //保存服务地址
        save(){
            axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded'
            axios.post("service/addRemoteUrl",Qs.stringify({
                urlPath:this.serveUrl
            })).then(res=>{
                if(res && res.status == 200){
                    // 服务地址保存成功 跳转运维助手平台
                    this.openPlatform()
                    return;
                }
                this.loading = false;
                this.$message.warning("服务地址保存失败！")
            }).catch(error=>{
                this.$message.warning("服务地址保存失败！")
                this.loading = false;
            })

        },
        //监听服务地址变化
        onChange(e){
            this.helpMessage=""
            this.serveUrl = e;
            let target = this.list.find(el=>el.value ===e);
            if(target){
              this.serveText = target.label;
            }
        },
        //检查后台服务
        checkServeState(e) {
            axios.get(this.serveUrl+this.checkPassUrl).then(res => {
                console.log("后台联通=== ",res)
                // 需要保存后台服务
                if(e === 1){
                    this.save()
                }else{
                    //后台能连接进入运维助手平台；
                    this.openPlatform()
                }

            }).catch(error=>{
                console.log("后台联通接口报错=== ",error)
                this.$message.warning('后台服务地址连接错误');
                this.helpMessage = '后台服务地址连接错误'
                this.loading = false;
            })
        }
    }
})